<?php

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Factory\AppFactory;

require __DIR__ . '/../vendor/autoload.php';

$app = AppFactory::create();

$app->get('/', function (Request $request, Response $response, $args) {
    $response->getBody()->write('<html><head><link src=""/></head><body>');
    $response->getBody()->write('<h1 id="" class="" >Hello world!</h1>');
    $a = 0;
    $a++;
    $a++;
    $a++;
    $a++;
    $a++;
    $response->getBody()->write("<ul>");
    $response->getBody()->write('<li><a href="/eerste">Eerste</a></li>');
    $response->getBody()->write('<li><a href="/tweede">Tweede</a></li>');
    $response->getBody()->write('<li><a href="">derde</a></li>');
    $response->getBody()->write("</ul></body></html>");
    return $response;
});

$app->get('/eerste', function (Request $request, Response $response, $args) {
    $response->getBody()->write("<h1>Eerste</h1>");
    $response->getBody()->write("<ul>");
    $response->getBody()->write('<li><a href="/eerste">Eerste</a></li>');
    $response->getBody()->write('<li><a href="/tweede">Tweede</a></li>');
    $response->getBody()->write('<li><a href="/tweede/driekwart">tweede driekwart</a></li>');
    $response->getBody()->write("</ul>");
    return $response;
});

$app->get('/tweede', function (Request $request, Response $response, $args) {
    $response->getBody()->write("<h1>Tweede</h1>");
    $response->getBody()->write("<ul>");
    $response->getBody()->write('<li><a href="/eerste">Eerste</a></li>');
    $response->getBody()->write('<li><a href="/tweede">Tweede</a></li>');
    $response->getBody()->write('<li><a href="/tweede/driekwart">tweede driekwart</a></li>');
    $response->getBody()->write("</ul>");
    $response->getBody()->write("<hr/>");
    $response->getBody()->write('<form action="/postdata" method="GET">');
    $response->getBody()->write('<input type="text" name="naam"/>');
    $response->getBody()->write('<br/>');
    $response->getBody()->write('<input type="text" name="leeftijd"/>');
    $response->getBody()->write('<br/>');
    $response->getBody()->write('<input type="submit"/>');
    $response->getBody()->write("<p>That's all folks</p>");
    return $response;
});


$app->get('/tweede/driekwart', function (Request $request, Response $response, $args) {
    $response->getBody()->write("<h1>Tweede Driekwart</h1>");
    $response->getBody()->write("<ul>");
    $response->getBody()->write("<ul>");
    $response->getBody()->write('<li><a href="/eerste">Eerste</a></li>');
    $response->getBody()->write('<li><a href="/tweede">Tweede</a></li>');
    $response->getBody()->write('<li><a href="/tweede/driekwart">tweede driekwart</a></li>');
    $response->getBody()->write("</ul>");
    $response->getBody()->write("<hr/>");
    $response->getBody()->write('<form action="/postdata" method="POST">');
    $response->getBody()->write('<input type="text" name="naam"/>');
    $response->getBody()->write('<br/>');
    $response->getBody()->write('<input type="text" name="leeftijd"/>');
    $response->getBody()->write('<br/>');
    $response->getBody()->write('<input type="submit"/>');
    return $response;
});

$app->post('/postdata', function (Request $request, Response $response, $args) {
    $a = $request->getParsedBody();
    $response->getBody()->write("Mijn naam is : " . $a['naam'] . " en ik ben " . $a['leeftijd'] . " jaar oud.");
    return $response;
});

$app->get('/postdata', function (Request $request, Response $response, $args) {
    $a = $request->getQueryParams();
    $response->getBody()->write("Mijn naam is : " . $a['naam'] . " en ik ben " . $a['leeftijd'] . " jaar oud.");
    return $response;
});

$app->run();
